﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Data;

namespace DataPager_RowNumber
{
public class CustomGridViewColumn : GridViewDataColumn
{
    public override FrameworkElement CreateCellElement(GridViewCell cell, object dataItem)
    {
        TextBlock textBlock = cell.Content as TextBlock;

        if (textBlock == null)
        {
            textBlock = new TextBlock();
        }
            var pagedSource = this.DataControl.ItemsSource as QueryableCollectionView;
            
            textBlock.Text = string.Format("{0}", (this.DataControl.ItemsSource as QueryableCollectionView).IndexOf(dataItem as MyItem) + pagedSource.PageIndex*10);
            return textBlock;
    }
}
}
